#ifndef CHECK_H
#define CHECK_H

#include <string>

struct formats_t
{
	bool decode;
	bool encode;
	std::string name;
	std::string description;
};

struct codecs_t
{
	bool decode;
	bool encode;
	std::string type;
	std::string name;
};

bool check_ffmpeg();

void get_formats();
void get_codecs();

bool check_encodec (std::string codec_name);
bool check_decodec (std::string codec_name);

#endif
