#ifndef CONVERTER_H
#define CONVERTER_H

#include <glibmm/ustring.h>

struct input_t
{
	std::string	path;

	unsigned int	sizew;
	unsigned int	sizeh;
	double		aspect;
};

struct output_t
{
	std::string	path;

        bool		overwrite;
	bool		reconvert;

	std::string	sizew;
	std::string	sizeh;
	std::string	aspectw;
	std::string	aspecth;
	std::string	vcodec;
	std::string	vbitrate;
	std::string	framerate;

        bool       	usepix_fmt;
        std::string	pix_fmt;

	std::string	acodec;
	std::string	abitrate;
	std::string	samplerate;
	std::string	achannels;

	bool       	useflags;
	std::string	mbd;
	std::string	flags;
	std::string	cmp;
	std::string	subcmp;
	std::string	g;
};

struct io_t
{
	input_t		input;
	output_t	output;
};

//int convert (args_t *args);

int convert (std::list< io_t > io_list);

#endif
