#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glibmm/miscutils.h>
#include <iostream>
#include <string>

#include "info.hpp"

extern bool verbose;

extern int fferr;
extern int fds_info[2];
extern int current_id;
extern std::string current_output_path;

bool converting = false;
char info[200];

void put_info()
{

	FILE* read = fdopen (fferr, "r");
	setbuf (read, NULL);

	FILE* write = fdopen (fds_info[1], "w");
	setbuf (write, NULL);
	
	while(!feof (read))
	{
		char tmp = fgetc(read);

		if(verbose)
			std::cout << tmp;

		if(tmp == '\r')
		{
			fputc ('\n', write);
			fprintf (write, "filename=%s id=%d ", Glib::path_get_basename (current_output_path).c_str(), current_id);
		}
		else       
			fputc (tmp, write);
	}

	close (fferr);

}

void get_info()
{

	FILE* read = fdopen (fds_info[0], "r");

	while(converting)
	{
		fgets (info, 200, read);
	}

	close (fds_info[0]);

}

