#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "time.hpp"
#include "compose.hpp"
#include <iomanip>

std::string get_formated_time (unsigned int seconds)
{

	return String::compose ("%1:%2:%3",
				std::setfill ('0'), // will be saved
				std::setw (2), // won't be saved so repeat it
				seconds/3600,
				std::setw (2), // repeated
				(seconds%3600) / 60,
				std::setw (2), // repeated
				seconds%60);

}
