#ifndef COMBO_MODEL_H
#define COMBO_MODEL_H

#include <gtkmm/treestore.h>

//ModelColumn for ComboBox
class Combo_ModelColumns : public Gtk::TreeModel::ColumnRecord
{
public:

	Combo_ModelColumns()	{
					add(m_col_sense);
					add(m_col_name); add(m_col_reconvert); add(m_col_sizew); add(m_col_sizeh); add(m_col_aspectw); add(m_col_aspecth);
					add(m_col_vcodec); add(m_col_vbitrate); add(m_col_framerate); add(m_col_usepix_fmt); add(m_col_pix_fmt);
					add(m_col_acodec); add(m_col_abitrate); add(m_col_samplerate); add(m_col_achannels); add(m_col_extension);
					add(m_col_useflags); add(m_col_mbd); add(m_col_flags); add(m_col_cmp); add(m_col_subcmp); add(m_col_g);
				}

	Gtk::TreeModelColumn<bool>		m_col_sense;

	Gtk::TreeModelColumn<std::string>	m_col_name;

	Gtk::TreeModelColumn<bool>		m_col_reconvert;

	Gtk::TreeModelColumn<std::string>	m_col_sizew;
	Gtk::TreeModelColumn<std::string>	m_col_sizeh;
	Gtk::TreeModelColumn<std::string>	m_col_aspectw;
	Gtk::TreeModelColumn<std::string>	m_col_aspecth;
	Gtk::TreeModelColumn<std::string>	m_col_vcodec;
	Gtk::TreeModelColumn<std::string>	m_col_vbitrate;
	Gtk::TreeModelColumn<std::string>	m_col_framerate;

        Gtk::TreeModelColumn<bool>		m_col_usepix_fmt;
        Gtk::TreeModelColumn<std::string>	m_col_pix_fmt;

	Gtk::TreeModelColumn<std::string>	m_col_acodec;
	Gtk::TreeModelColumn<std::string>	m_col_abitrate;
	Gtk::TreeModelColumn<std::string>	m_col_samplerate;
	Gtk::TreeModelColumn<std::string>	m_col_achannels;

	Gtk::TreeModelColumn<std::string>	m_col_extension;

	Gtk::TreeModelColumn<bool>		m_col_useflags;
	Gtk::TreeModelColumn<std::string>	m_col_mbd;
	Gtk::TreeModelColumn<std::string>	m_col_flags;
	Gtk::TreeModelColumn<std::string>	m_col_cmp;
	Gtk::TreeModelColumn<std::string>	m_col_subcmp;
	Gtk::TreeModelColumn<std::string>	m_col_g;
};

#endif
