#ifndef TREE_MODEL_H
#define TREE_MODEL_H

#include "avinfo.hpp"
#include <gtkmm/liststore.h>

//ModelColumn for Tree
class Tree_ModelColumns : public Gtk::TreeModel::ColumnRecord
{
public:

	Tree_ModelColumns() { add(m_col_id); add(m_col_supported); add(m_col_duration); add(m_col_path); add(m_col_avinfo); }

	Gtk::TreeModelColumn <unsigned int>	m_col_id;
	Gtk::TreeModelColumn <bool>		m_col_supported;
	Gtk::TreeModelColumn <std::string>	m_col_duration;
	Gtk::TreeModelColumn <std::string>	m_col_path;
	Gtk::TreeModelColumn <AVInfo>		m_col_avinfo;

};

#endif
